//
//  NGAMailMessage.h
//  P4Menu
//
//  Created by Michael Bishop on 12/12/11.
//  Copyright (c) 2011 Numerical Garden LLC. All rights reserved.
//

#import <ScriptingBridge/ScriptingBridge.h>
#import <Foundation/Foundation.h>

@interface NGAMailMessage : NSObject <SBApplicationDelegate> {
@private
    NSArray * recipients;
    NSString * contents;
    NSString * sendingEmailAddress;
    NSString * subject;
    NSArray * attachments;
}

@property (readwrite, nonatomic, copy) NSString * sendingEmailAddress;
@property (readwrite, nonatomic, copy) NSArray * recipients;
@property (readwrite, nonatomic, copy) NSString * subject;
@property (readwrite, nonatomic, copy) NSString * contents;
@property (readwrite, nonatomic, copy) NSArray * attachments;

-(IBAction)openInMail:(id)sender;

@end
