//
//  P4Encodings.mm
//  MBMenuExtra
//
//  Created by Michael Bishop on 12/14/09.
//  Copyright 2009 Perforce Software. All rights reserved.
//

#import "P4Encodings.h"
#include "i18napi.h"

static NSArray * _P4Encodings = nil;

extern "C" {

NSArray *
P4Encodings()
{
    if ( _P4Encodings )
        return _P4Encodings;

    NSMutableArray * array = [NSMutableArray arrayWithCapacity:CharSetApi::CP949 + 1];
    for (int i = CharSetApi::NOCONV; i<=CharSetApi::CP949; i++)
    {
        [array addObject:[NSString stringWithUTF8String:CharSetApi::Name((CharSetApi::CharSet)i)]];
    }
    _P4Encodings = [array retain];

    return _P4Encodings;
}

}
