//
//  NSString+NGAUTIAdditions.h
//  P4Menu
//
//  Created by Michael Bishop on 1/13/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (NGAUTIAdditions)

-(BOOL)conformsToUTI:(NSString*)uti;

-(NSDictionary*)UTIDeclaration;
-(NSURL*)UTIDeclaringBundleURL;
-(NSString*)UTIDescription;
-(NSString*)UTIPreferredTagWithClass:(NSString*)classString;
-(NSArray*)UTIAllIdentifiersForTag:(NSString*)tag conformingToUTI:(NSString*)uti;
-(NSString*)UTIPreferredIdentifiersForTag:(NSString*)tag conformingToUTI:(NSString*)uti;
-(OSType)OSType;

+(NSString*)UTIForOSType:(OSType)osType;



@end
